composition.placement.reorder
[deprecated] Re-sequence the hooks of one slot in a single atomic batch (position = index).
- Scope:
composition.write - System: no
- Reachable from:
POST /v1/commands/composition.placement.reorder(tenant credential) · MCP toolcomposition.placement.reorder· SDKclient.call('composition.placement.reorder', …) - Events:
composition.updated
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "ordered": { "items": { "properties": { "component": { "minLength": 1, "type": "string" }, "extension_id": { "minLength": 1, "type": "string" } }, "required": [ "extension_id", "component" ], "type": "object" }, "minItems": 1, "type": "array" }, "store": { "minLength": 1, "type": "string" }, "target": { "pattern": "^(storefront|admin):[a-z0-9_.]+$", "type": "string" } }, "required": [ "store", "target", "ordered" ], "type": "object"}Result (200)
Section titled “Result (200)”{ "additionalProperties": false, "properties": { "count": { "maximum": 9007199254740991, "minimum": -9007199254740991, "type": "integer" } }, "required": [ "count" ], "type": "object"}Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)